Create dedicated invoice payment
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/{invoiceId}/payment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"external_id": "<string>",
"paid_at": "2023-11-07T05:31:56Z",
"fee": 123,
"additional_fees": [
{
"account": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"fee_amount": 123,
"description": "<string>",
"is_passed_to_customer": true
}
],
"processor": "<string>",
"payment_clearing_account_identifier": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"redemption_account": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"dedicated_refunds": [
{
"external_id": "31415926535",
"account_identifier": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"line_items": [
{
"amount": 123,
"external_id": "<string>",
"account_identifier": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"prepayment_account_identifier": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"tags": [
{
"key": "department",
"value": "sales",
"dimension_display_name": "Department",
"value_display_name": "Sales Department"
}
],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
],
"completed_at": "2023-11-07T05:31:56Z",
"refund_processing_fee": 123,
"processor": "<string>",
"refunded_payment_fees": [
{
"account": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"fee_amount": 123,
"description": "<string>"
}
],
"tags": [
{
"key": "department",
"value": "sales",
"dimension_display_name": "Department",
"value_display_name": "Sales Department"
}
],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>",
"payment_clearing_account_identifier": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
],
"tags": [
{
"key": "department",
"value": "sales",
"dimension_display_name": "Department",
"value_display_name": "Sales Department"
}
],
"memo": "<string>",
"metadata": {},
"reference_number": "<string>"
}
'{
"data": {
"type": "Invoice_Payment",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "payment-1",
"at": "2023-11-07T05:31:56Z",
"fee": 123,
"prepayment_account": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payment_clearing_account": {
"type": "Single_Chart_Account",
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
},
"additional_fees": [
{
"fee_amount": 123,
"description": "<string>",
"account": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"is_passed_to_customer": true
}
],
"amount": 123,
"processor": "STRIPE",
"imported_at": "2023-11-07T05:31:56Z",
"allocations": [
{
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"amount_net_of_refunds": 123,
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
],
"refund_allocations": [],
"payouts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "payout-1234",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paid_out_amount": 123,
"fee": 123,
"processor": "STRIPE",
"payment_clearing_account": {
"type": "Single_Chart_Account",
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
},
"imported_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"match": {
"id": "6b0a3734-f4ef-4fb0-9fc1-3f59b0c1cf99",
"match_type": "PAYOUT",
"bank_transaction": {
"type": "Bank_Transaction_Data",
"id": "a703c8d6-cfe8-453d-a275-b92eacc6fc6e",
"business_id": "738ec216-e8e5-48f2-b7f2-cdc89c96b3d4",
"source": "STRIPE",
"source_transaction_id": "trxn_1sdOeLQiFAKE2LQBkcvrJw95f",
"source_account_id": "738ec216-e154-48f2-1111-cdc89c96b3d4",
"imported_at": "2024-03-19T22:09:53.290591Z",
"date": "2024-03-06T06:06:40Z",
"direction": "CREDIT",
"amount": 87459,
"counterparty_name": null,
"description": "Payout (po_1OqnTHISISFAKEiTVBkCiyAERwm).",
"account_name": "Layer Banking",
"categorization_status": "MATCHED"
},
"details": {
"type": "Payout_Match",
"id": "d224508b-b05e-41da-89de-0fbd8a573507",
"amount": 87459,
"date": "2024-03-06T00:00:00Z",
"description": "Payout from STRIPE.",
"adjustment": null
}
},
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
],
"transaction_tags": [],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
}Invoice Payments
Create dedicated invoice payment
Creates a payment that is dedicated to a specific invoice. The full payment amount will be allocated to this invoice.
POST
/
v1
/
businesses
/
{businessId}
/
invoices
/
{invoiceId}
/
payment
Create dedicated invoice payment
curl --request POST \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/invoices/{invoiceId}/payment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"external_id": "<string>",
"paid_at": "2023-11-07T05:31:56Z",
"fee": 123,
"additional_fees": [
{
"account": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"fee_amount": 123,
"description": "<string>",
"is_passed_to_customer": true
}
],
"processor": "<string>",
"payment_clearing_account_identifier": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"redemption_account": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"dedicated_refunds": [
{
"external_id": "31415926535",
"account_identifier": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"line_items": [
{
"amount": 123,
"external_id": "<string>",
"account_identifier": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"prepayment_account_identifier": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"tags": [
{
"key": "department",
"value": "sales",
"dimension_display_name": "Department",
"value_display_name": "Sales Department"
}
],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
],
"completed_at": "2023-11-07T05:31:56Z",
"refund_processing_fee": 123,
"processor": "<string>",
"refunded_payment_fees": [
{
"account": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"fee_amount": 123,
"description": "<string>"
}
],
"tags": [
{
"key": "department",
"value": "sales",
"dimension_display_name": "Department",
"value_display_name": "Sales Department"
}
],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>",
"payment_clearing_account_identifier": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
],
"tags": [
{
"key": "department",
"value": "sales",
"dimension_display_name": "Department",
"value_display_name": "Sales Department"
}
],
"memo": "<string>",
"metadata": {},
"reference_number": "<string>"
}
'{
"data": {
"type": "Invoice_Payment",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "payment-1",
"at": "2023-11-07T05:31:56Z",
"fee": 123,
"prepayment_account": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payment_clearing_account": {
"type": "Single_Chart_Account",
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
},
"additional_fees": [
{
"fee_amount": 123,
"description": "<string>",
"account": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"is_passed_to_customer": true
}
],
"amount": 123,
"processor": "STRIPE",
"imported_at": "2023-11-07T05:31:56Z",
"allocations": [
{
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"amount_net_of_refunds": 123,
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
],
"refund_allocations": [],
"payouts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "payout-1234",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paid_out_amount": 123,
"fee": 123,
"processor": "STRIPE",
"payment_clearing_account": {
"type": "Single_Chart_Account",
"id": {
"type": "AccountId",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"name": "Current Assets",
"account_number": "4000",
"stable_name": {
"type": "StableName",
"stable_name": "CURRENT_ASSETS"
},
"account_type": {
"display_name": "Asset"
},
"account_subtype": {
"display_name": "Current Assets"
}
},
"imported_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"match": {
"id": "6b0a3734-f4ef-4fb0-9fc1-3f59b0c1cf99",
"match_type": "PAYOUT",
"bank_transaction": {
"type": "Bank_Transaction_Data",
"id": "a703c8d6-cfe8-453d-a275-b92eacc6fc6e",
"business_id": "738ec216-e8e5-48f2-b7f2-cdc89c96b3d4",
"source": "STRIPE",
"source_transaction_id": "trxn_1sdOeLQiFAKE2LQBkcvrJw95f",
"source_account_id": "738ec216-e154-48f2-1111-cdc89c96b3d4",
"imported_at": "2024-03-19T22:09:53.290591Z",
"date": "2024-03-06T06:06:40Z",
"direction": "CREDIT",
"amount": 87459,
"counterparty_name": null,
"description": "Payout (po_1OqnTHISISFAKEiTVBkCiyAERwm).",
"account_name": "Layer Banking",
"categorization_status": "MATCHED"
},
"details": {
"type": "Payout_Match",
"id": "d224508b-b05e-41da-89de-0fbd8a573507",
"amount": 87459,
"date": "2024-03-06T00:00:00Z",
"description": "Payout from STRIPE.",
"adjustment": null
}
},
"transaction_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
],
"transaction_tags": [],
"memo": "<string>",
"metadata": {
"custom_field": "value",
"any valid json": "below 1kb",
"nested": {
"meaning of life": 42,
"array": []
}
},
"reference_number": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business.
The UUID of the invoice to apply the payment to.
Body
application/json
Payment method.
Available options:
CREDIT_CARD, CASH, CHECK, ACH, CREDIT_BALANCE, OTHER Payment amount in cents.
External identifier for the payment.
The timestamp when the payment was made.
Fee amount in cents.
Show child attributes
Show child attributes
Payment processor name.
ID of the account.
- Account ID
- Account Stable Name
Show child attributes
Show child attributes
ID of the account.
- Account ID
- Account Stable Name
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Payment already exists (idempotent).
Show child attributes
Show child attributes
⌘I